# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               OpenOctaveMidi
Version:            2011.3.1
Release:            1.1
Summary:            Open Octave Studio
Source:             https://github.com/ccherrett/oom/wiki/oom-%{version}.tar.gz
URL:                http://www.openoctave.org/
Group:              Productivity/Multimedia/Sound/Midi
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libgig-devel
BuildRequires:      liblscp-devel
BuildRequires:      liblinuxsampler-devel
BuildRequires:      libqt4-devel >= 4.3.0
BuildRequires:      gtk2-devel
BuildRequires:      alsa-devel >= 0.9.0
BuildRequires:      libsndfile-devel >= 1.0.0
BuildRequires:      libsamplerate-devel >= 0.1.0
BuildRequires:      libuuid-devel >= 0.0.1
BuildRequires:      jack-devel >= 1.9.5
BuildRequires:      gcc-c++ cmake make glibc-devel pkgconfig
BuildRequires:      update-desktop-files

%description
Digital Audio Workstation (DAW).

%lang_package

%prep
%setup -q -n "oom-%{version}"

%build
%__install -d build
pushd build
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    ..
%__make %{?_smp_mflags}
popd

%install
pushd build
%makeinstall
popd

# upstream installs a 32x32 icon in a 64x64 directory:
%__install -d "%{buildroot}%{_datadir}/icons/hicolor/32x32/apps"
%__mv "%{buildroot}%{_datadir}/icons/hicolor"/{64x64,32x32}/"apps/oom_icon.png"

%__rm -rf "%{buildroot}%{_datadir}/doc"

%suse_update_desktop_file -r oom AudioVideo Audio Midi AudioVideoEditing

L="$PWD/%{name}.lang"
echo -n >"$L"
P="%{_datadir}/oom-%{version}/locale"
pushd "%{buildroot}$P"
/bin/ls -1 oom_*.qm | while read qm; do
    l="${qm#oom_}"
    l="${l%.qm}"
    echo "%lang($l) $P/$qm" >>"$L"
done
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README*
%{_bindir}/grepmidi
%{_bindir}/oomidi
%{_bindir}/oostudio
%{_datadir}/applications/oom.desktop
%{_datadir}/icons/*/*/apps/oom_icon.*
%doc %{_mandir}/man1/grepmidi.1*
%doc %{_mandir}/man1/oomidi.1*
%{_datadir}/mime/packages/oom.xml
%dir %{_datadir}/oom-%{version}
%dir %{_datadir}/oom-%{version}/locale
%{_datadir}/oom-%{version}/instruments
%{_datadir}/oom-%{version}/drummaps
%{_datadir}/oom-%{version}/plugins
%{_datadir}/oom-%{version}/pybridge
%{_datadir}/oom-%{version}/scripts
%{_datadir}/oom-%{version}/templates
%{_datadir}/oom-%{version}/utils
%{_prefix}/lib/oom-%{version}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Apr 18 2012 pascal.bleser@opensuse.org
- packaging the stable version instead, unstable will be repackaged
  as OpenOctaveMidi-unstable
* Mon Apr 16 2012 pascal.bleser@opensuse.org
- initial version (2012.1.0+20120403)
